#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    vector<long long> masiv1;
    vector<long long> masiv2;
    for(long long i=0; i<n; i++)
    {
        masiv2.push_back(i+1);
    }
    long long k=2;
    long long l=1;
    do
    {
        l*=k;
        k++;
    }
    while(l*k<=n);
    for(long long i=0; i<n; i++)
    {
        if(i%l==0)
        {
            masiv1.push_back(masiv2[i]);
        }
    }
    cout<<masiv1.back();
    return 0;
}
